%define compatv 72
%{?compatv:%define compatfv 7.2}
%{!?compatv:%define compatfv 7.0}

%global _extdir %{_libdir}/php%{?compatv}/extensions
%global modname  imagick
#global prever    RC1

Summary:		Provides a wrapper to the ImageMagick library
Name:			php%{?compatv}-pecl-%{modname}
Version:		3.4.3%{?prever}
Release:		1%{?dist}
Epoch:			100
License:		PHP
Group:			Development/Libraries
Source0:		http://pecl.php.net/get/%{modname}-%{version}.tgz
Source1:		%{modname}.ini
URL:			http://pecl.php.net/package/%{modname}
BuildRequires:	php%{?compatv}-devel >= %{compatfv}.0, ImageMagick-devel
Requires:		php%{?compatv}api, ImageMagick
Provides:		php%{?compatv}-pecl(%{modname}) = %{version}
Provides:		php%{?compatv}-%{modname}

%description
%{modname} is a native php extension to create and modify images using the
ImageMagick API.
This extension requires ImageMagick version 6.2.4+ and after PHP 5.1.3+.

%prep
%setup -qc

cd %{modname}-%{version}
#patch0 -p3 -b .im-so6

%build
cd %{modname}-%{version}
phpize%{?compatv}
%{configure} --with-%{modname}
%{__make}

%install
rm -rf %{buildroot}

cd %{modname}-%{version}

%{__make} install \
	INSTALL_ROOT=%{buildroot}

# Install XML package description
install -d %{buildroot}%{_sysconfdir}/php.d/{%{!?compatv:apache},cli,fpm}
%{!?compatv:install -m 0664 %{SOURCE1} %{buildroot}%{_sysconfdir}/php.d/apache/%{modname}.ini}
install -m 0664 %{SOURCE1} %{buildroot}%{_sysconfdir}/php.d/cli/%{modname}.ini
install -m 0664 %{SOURCE1} %{buildroot}%{_sysconfdir}/php.d/fpm/%{modname}.ini

rm -rf %{buildroot}/%{_includedir}/php/ext/%{modname}/

%check
# simple module load test
pushd %{modname}-%{version}
php%{?compatv} --no-php-ini \
    --define extension_dir=%{buildroot}%{_extdir} \
    --define extension=%{modname}.so \
    --modules | grep %{modname}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc %{modname}-%{version}/examples %{modname}-%{version}/CREDITS
%{_extdir}/%{modname}.so
%{!?compatv:%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/php.d/apache/%{modname}.ini}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/php.d/cli/%{modname}.ini
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/php.d/fpm/%{modname}.ini

%changelog
* Sat Feb 10 2018 JoungKyun.Kim <http://oosp.org> - 100:3.4.3-1
- update 3.4.3
  http://pecl.php.net/package-changelog.php?package=imagick&release=3.4.3

* Mon Oct 17 2016 JoungKyun.Kim <http://oosp.org> - 100:3.4.3RC1-1
- update 3.4.3RC1
- support PHP 7

* Fri Mar 22 2013 Remi Collet <rcollet@redhat.com> - 3.1.0-0.6.RC2
- update to 3.1.0RC2
- rebuild for http://fedoraproject.org/wiki/Features/Php55

* Sat Mar 16 2013 Pavel Alexeev <Pahan@Hubbitus.info> - 3.1.0-0.5.RC1
- Rebuild to ImageMagick soname change (ml: http://www.mail-archive.com/devel@lists.fedoraproject.org/msg57163.html).
	Thanks to Remi Collet for the patch: http://svn.php.net/viewvc?view=revision&revision=329769

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.0-0.4.RC1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.0-0.3.RC1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Mar 4 2012 Pavel Alexeev <Pahan@Hubbitus.info> - 3.1.0-0.2.RC1
- Rebuild to ImageMagick soname change.

* Thu Jan 19 2012 Remi Collet <remi@fedoraproject.org> - 3.1.0-0.1.RC1
- update to 3.1.0RC1 for php 5.4
- add filter to avoid private-shared-object-provides
- add minimal %%check

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Sep 12 2011 Pavel Alexeev <Pahan@Hubbitus.info> - 3.0.0-10
- Fix FBFS f16-17. Bz#716201

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Sep 29 2010 jkeating - 3.0.0-8
- Rebuilt for gcc bug 634757

* Thu Sep 16 2010 Pavel Alexeev <Pahan@Hubbitus.info> - 3.0.0-7
- Rebuild against new ImageMagick

* Fri Jul 23 2010 Pavel Alexeev <Pahan@Hubbitus.info> - 3.0.0-6
- Update to 3.0.0
- Add Conflicts: php-pecl-gmagick - BZ#559675
- Delete new and unneeded files "rm -rf %%{buildroot}/%%{_includedir}/php/ext/%%modname/"

* Sat May 15 2010 Pavel Alexeev <Pahan@Hubbitus.info> - 2.3.0-5
- New version 2.3.0

* Wed Mar 24 2010 Mike McGrath <mmcgrath@redhat.com> - 2.2.2-4.1
- Rebuilt for broken dep fix

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jul 13 2009 Remi Collet <Fedora@FamilleCollet.com> - 2.2.2-3
- rebuild for new PHP 5.3.0 ABI (20090626)

* Tue Mar 10 2009 Pavel Alexeev <Pahan@Hubbitus.info> - 2.2.2-2
- Rebuild due ImageMagick update

* Sat Feb 28 2009 Pavel Alexeev <Pahan@Hubbitus.info> - 2.2.2-1
- Step to version 2.2.2

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jan 11 2009 Pavel Alexeev <Pahan [ at ] Hubbitus [ DOT ] spb [ dOt.] su> - 2.2.1-3
- All modifications in this release inspired by Fedora review by Remi Collet.
- Add versions to BR for php-devel and ImageMagick-devel
- Remove -n option from %%setup which was excessive with -c
- Module install/uninstall actions surround with %%if 0%{?pecl_(un)?install:1} ... %%endif
- Add Provides: php-pecl(%modname) = %{version}

* Sat Jan 3 2009 Pavel Alexeev <Pahan [ at ] Hubbitus [ DOT ] spb [ dOt.] su> - 2.2.1-2
- License changed to PHP (thanks to Remi Collet)
- Add -c flag to %%setup (Remi Collet)
	And accordingly it "cd %%modname-%%{version}" in %%build and %%install steps.
- Add (from php-pear template)
	Requires(post):	%%{__pecl}
	Requires(postun):	%%{__pecl}
- Borrow from Remi Collet php-api/abi requirements.
- Use macroses: (Remi Collet)
	%%pecl_install instead of direct "pear install --soft --nobuild --register-only"
	%%pecl_uninstall instead of pear "uninstall --nodeps --ignore-errors --register-only"
- %%doc examples/{polygon.php,captcha.php,thumbnail.php,watermark.php} replaced by %%doc examples (Remi Collet)
- Change few patchs to macroses: (Remi Collet)
	%%{_libdir}/php/modules - replaced by %%{php_extdir}
	%%{xmldir} - by %%{pecl_xmldir}
- Remove defines of xmldir, peardir.
- Add 3 recommended macroses from doc http://fedoraproject.org/wiki/Packaging/PHP : php_apiver, __pecl, php_extdir

* Sat Dec 20 2008 Pavel Alexeev <Pahan [ at ] Hubbitus [ DOT ] spb [ dOt.] su> - 2.2.1-1
- Step to version 2.2.1
- As prepare to push it into Fedora:
	- Change release to 1%%{?dist}
	- Set setup quiet
	- Escape all %% in changelog section
	- Delete dot from summary
	- License change from real "PHP License" to BSD (by example with php-peck-phar and php-pecl-xdebug)
- %%defattr(-,root,root,-) changed to %%defattr(-,root,root,-)

* Mon May 12 2008 Pavel Alexeev <Pahan [ at ] Hubbitus [ DOT ] spb [ dOt.] su> - 2.2.0b2-0.Hu.0
- Step to version 2.2.0b2
- %%define	modname	imagick and replece to it all direct appearances.

* Thu Mar 6 2008 Pavel Alexeev <Pahan [ at ] Hubbitus [ DOT ] info> - 2.1.1RC1-0.Hu.0
- Steep to version 2.1.1RC1 -0.Hu.0
- Add Hu-part and %%{?dist} into Release
- Add BuildRequires: ImageMagick-devel

* Fri Oct 12 2007 Pavel Alexeev <Pahan [ at ] Hubbitus [ DOT ] info> - 2.0.0RC1
- Global rename from php-pear-imagick to php-pecl-imagick. This is more correct.

* Wed Aug 22 2007 Pavel Alexeev <Pahan [ at ] Hubbitus [ DOT ] info> - 2.0.0RC1
- Initial release. (Re)Written from generated (pecl make-rpm-spec)
